Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
H5FDros3_s3comms.h File Reference
`#include "H5private.h"`
`#include "H5FDros3.h"`

## Data Structures
struct | parsed_url_t
struct | s3r_t

## Macros
#define | HTTP_CLIENT_ERROR(status_code)
#define | HTTP_CLIENT_ERROR_MAX 499 /* HTTP client error responses */
#define | HTTP_CLIENT_ERROR_MIN 400 /* Minimum and maximum values for the 400 class of */
#define | HTTP_CLIENT_SUCCESS(status_code)
#define | HTTP_CLIENT_SUCCESS_MAX 299 /* HTTP client success responses */
#define | HTTP_CLIENT_SUCCESS_MIN 200 /* Minimum and maximum values for the 200 class of */
#define | HTTP_SERVER_ERROR(status_code)
#define | HTTP_SERVER_ERROR_MAX 599 /* HTTP server error responses */
#define | HTTP_SERVER_ERROR_MIN 500 /* Minimum and maximum values for the 500 class of */
#define | S3COMMS_DEBUG 0

## Functions
herr_t | H5FD__s3comms_init (void)
herr_t | H5FD__s3comms_s3r_close (s3r_t *handle)
size_t | H5FD__s3comms_s3r_get_filesize (s3r_t *handle)
s3r_t * | H5FD__s3comms_s3r_open (const char *url, const H5FD_ros3_fapl_t *fa, const char *fapl_token, const char *alt_endpoint)
herr_t | H5FD__s3comms_s3r_read (s3r_t *handle, haddr_t offset, size_t len, void *dest, size_t dest_size)
herr_t | H5FD__s3comms_term (void)

## Macro Definition Documentation

## ◆ HTTP_CLIENT_ERROR

#define HTTP_CLIENT_ERROR | ( |  | status_code | ) |

Value:
(status_code >= HTTP_CLIENT_ERROR_MIN && status_code <= HTTP_CLIENT_ERROR_MAX)
HTTP_CLIENT_ERROR_MAX
#define HTTP_CLIENT_ERROR_MAX
Definition H5FDros3_s3comms.h:74
HTTP_CLIENT_ERROR_MIN
#define HTTP_CLIENT_ERROR_MIN
Definition H5FDros3_s3comms.h:73

## ◆ HTTP_CLIENT_ERROR_MAX

#define HTTP_CLIENT_ERROR_MAX 499 /* HTTP client error responses */

## ◆ HTTP_CLIENT_ERROR_MIN

#define HTTP_CLIENT_ERROR_MIN 400 /* Minimum and maximum values for the 400 class of */

## ◆ HTTP_CLIENT_SUCCESS

#define HTTP_CLIENT_SUCCESS | ( |  | status_code | ) |

Value:
(status_code >= HTTP_CLIENT_SUCCESS_MIN && status_code <= HTTP_CLIENT_SUCCESS_MAX)
HTTP_CLIENT_SUCCESS_MAX
#define HTTP_CLIENT_SUCCESS_MAX
Definition H5FDros3_s3comms.h:71
HTTP_CLIENT_SUCCESS_MIN
#define HTTP_CLIENT_SUCCESS_MIN
Definition H5FDros3_s3comms.h:70

## ◆ HTTP_CLIENT_SUCCESS_MAX

#define HTTP_CLIENT_SUCCESS_MAX 299 /* HTTP client success responses */

## ◆ HTTP_CLIENT_SUCCESS_MIN

#define HTTP_CLIENT_SUCCESS_MIN 200 /* Minimum and maximum values for the 200 class of */

## ◆ HTTP_SERVER_ERROR

#define HTTP_SERVER_ERROR | ( |  | status_code | ) |

Value:
(status_code >= HTTP_SERVER_ERROR_MIN && status_code <= HTTP_SERVER_ERROR_MAX)
HTTP_SERVER_ERROR_MIN
#define HTTP_SERVER_ERROR_MIN
Definition H5FDros3_s3comms.h:76
HTTP_SERVER_ERROR_MAX
#define HTTP_SERVER_ERROR_MAX
Definition H5FDros3_s3comms.h:77

## ◆ HTTP_SERVER_ERROR_MAX

#define HTTP_SERVER_ERROR_MAX 599 /* HTTP server error responses */

## ◆ HTTP_SERVER_ERROR_MIN

#define HTTP_SERVER_ERROR_MIN 500 /* Minimum and maximum values for the 500 class of */

## ◆ S3COMMS_DEBUG

#define S3COMMS_DEBUG 0

## Function Documentation

## ◆ H5FD__s3comms_init()

herr_t H5FD__s3comms_init | ( | void |  | ) |

## ◆ H5FD__s3comms_s3r_close()

herr_t H5FD__s3comms_s3r_close | ( | s3r_t * | handle | ) |

## ◆ H5FD__s3comms_s3r_get_filesize()

size_t H5FD__s3comms_s3r_get_filesize | ( | s3r_t * | handle | ) |

## ◆ H5FD__s3comms_s3r_open()

s3r_t * H5FD__s3comms_s3r_open | ( | const char * | url,
|  | const H5FD_ros3_fapl_t * | fa,
|  | const char * | fapl_token,
|  | const char * | alt_endpoint )

## ◆ H5FD__s3comms_s3r_read()

herr_t H5FD__s3comms_s3r_read | ( | s3r_t * | handle,
|  | haddr_t | offset,
|  | size_t | len,
|  | void * | dest,
|  | size_t | dest_size )

## ◆ H5FD__s3comms_term()

herr_t H5FD__s3comms_term | ( | void |  | ) |